Delete recording resource
Deletes recording resource identified by recording id.
DELETE
/
texml
/
Accounts
/
{account_sid}
/
Recordings
/
{recording_sid}
.json
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
await client.texml.accounts.recordings.json.deleteRecordingSidJson(
'6a09cdc3-8948-47f0-aa62-74ac943d6c58',
{ account_sid: 'account_sid' },
);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
client.texml.accounts.recordings.json.delete_recording_sid_json(
recording_sid="6a09cdc3-8948-47f0-aa62-74ac943d6c58",
account_sid="account_sid",
)package main
import (
"context"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
err := client.Texml.Accounts.Recordings.Json.DeleteRecordingSidJson(
context.TODO(),
"6a09cdc3-8948-47f0-aa62-74ac943d6c58",
telnyx.TexmlAccountRecordingJsonDeleteRecordingSidJsonParams{
AccountSid: "account_sid",
},
)
if err != nil {
panic(err.Error())
}
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.texml.accounts.recordings.json.JsonDeleteRecordingSidJsonParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
JsonDeleteRecordingSidJsonParams params = JsonDeleteRecordingSidJsonParams.builder()
.accountSid("account_sid")
.recordingSid("6a09cdc3-8948-47f0-aa62-74ac943d6c58")
.build();
client.texml().accounts().recordings().json().deleteRecordingSidJson(params);
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
result = telnyx.texml.accounts.recordings.json.delete_recording_sid_json(
"6a09cdc3-8948-47f0-aa62-74ac943d6c58",
account_sid: "account_sid"
)
puts(result)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$result = $client->texml->accounts->recordings->json->deleteRecordingSidJson(
'6a09cdc3-8948-47f0-aa62-74ac943d6c58', accountSid: 'account_sid'
);
var_dump($result);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx texml:accounts:recordings:json delete-recording-sid-json \
--api-key 'My API Key' \
--account-sid account_sid \
--recording-sid 6a09cdc3-8948-47f0-aa62-74ac943d6c58curl --request DELETE \
--url https://api.telnyx.com/v2/texml/Accounts/{account_sid}/Recordings/{recording_sid}.json \
--header 'Authorization: Bearer <token>'{
"errors": [
{
"detail": "Resource not found"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The id of the account the resource belongs to.
Uniquely identifies the recording by id.
Example:
"6a09cdc3-8948-47f0-aa62-74ac943d6c58"
Response
The resource was deleted successfully.
Was this page helpful?
⌘I
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
await client.texml.accounts.recordings.json.deleteRecordingSidJson(
'6a09cdc3-8948-47f0-aa62-74ac943d6c58',
{ account_sid: 'account_sid' },
);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
client.texml.accounts.recordings.json.delete_recording_sid_json(
recording_sid="6a09cdc3-8948-47f0-aa62-74ac943d6c58",
account_sid="account_sid",
)package main
import (
"context"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
err := client.Texml.Accounts.Recordings.Json.DeleteRecordingSidJson(
context.TODO(),
"6a09cdc3-8948-47f0-aa62-74ac943d6c58",
telnyx.TexmlAccountRecordingJsonDeleteRecordingSidJsonParams{
AccountSid: "account_sid",
},
)
if err != nil {
panic(err.Error())
}
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.texml.accounts.recordings.json.JsonDeleteRecordingSidJsonParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
JsonDeleteRecordingSidJsonParams params = JsonDeleteRecordingSidJsonParams.builder()
.accountSid("account_sid")
.recordingSid("6a09cdc3-8948-47f0-aa62-74ac943d6c58")
.build();
client.texml().accounts().recordings().json().deleteRecordingSidJson(params);
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
result = telnyx.texml.accounts.recordings.json.delete_recording_sid_json(
"6a09cdc3-8948-47f0-aa62-74ac943d6c58",
account_sid: "account_sid"
)
puts(result)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$result = $client->texml->accounts->recordings->json->deleteRecordingSidJson(
'6a09cdc3-8948-47f0-aa62-74ac943d6c58', accountSid: 'account_sid'
);
var_dump($result);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx texml:accounts:recordings:json delete-recording-sid-json \
--api-key 'My API Key' \
--account-sid account_sid \
--recording-sid 6a09cdc3-8948-47f0-aa62-74ac943d6c58curl --request DELETE \
--url https://api.telnyx.com/v2/texml/Accounts/{account_sid}/Recordings/{recording_sid}.json \
--header 'Authorization: Bearer <token>'{
"errors": [
{
"detail": "Resource not found"
}
]
}